petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatScatterGetVecScatter

Returns the user-provided scatter set with MatScatterSetVecScatter()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatScatterGetVecScatter(Mat mat,VecScatter *scatter)

Not Collective, but not cannot use scatter if not used collectively on Mat

### Input Parameter

mat -the matrix, should have been created with MatCreateScatter() or have type MATSCATTER

### Output Parameter

scatter -the scatter context

### Keywords

matrix, scatter, get

### See Also

MatCreateScatter(), MatScatterSetVecScatter(), MATSCATTER

Level:intermediate
Location:src/mat/impls/scatter/mscatter.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages